ChangeSet 1.1190, 2003/05/20 16:50:56-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: add defensive memory barriers

Defend against future maintainers.


diff -Nru a/drivers/usb/misc/speedtch.c b/drivers/usb/misc/speedtch.c
--- a/drivers/usb/misc/speedtch.c	Tue May 20 17:24:36 2003
+++ b/drivers/usb/misc/speedtch.c	Tue May 20 17:24:36 2003
@@ -1228,6 +1228,7 @@
 
 finish:
 	/* ready for ATM callbacks */
+	wmb ();
 	instance->atm_dev->dev_data = instance;
 
 	usb_set_intfdata (intf, instance);
@@ -1366,6 +1367,7 @@
 	for (i = 0; i < UDSL_NUMBER_SND_BUFS; i++)
 		kfree (instance->all_buffers[i].base);
 
+	wmb ();
 	instance->usb_dev = NULL;
 
 	/* atm finalize */
